org.labkey.remoteapi.query

## Class GetQueryDetailsResponse

- java.lang.Object
- - org.labkey.remoteapi.CommandResponse
  - - org.labkey.remoteapi.query.GetQueryDetailsResponse

-     public class GetQueryDetailsResponse
      extends CommandResponse

  Represents the response from a GetQueriesCommand.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `GetQueryDetailsResponse.Column`
    `static class` | `GetQueryDetailsResponse.Lookup`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `GetQueryDetailsResponse(java.lang.String text, int statusCode, java.lang.String contentType, org.json.simple.JSONObject json, GetQueryDetailsCommand sourceCommand)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.List<GetQueryDetailsResponse.Column>` | `getColumns()` Returns the columns available in the given query name.
    `java.lang.String` | `getDescription()` Returns the description of the query described by this response
    `java.lang.String` | `getName()` Returns the query name that is described by this response
    `java.lang.String` | `getSchemaName()` Returns the schema name the query in this response belongs to.
    `java.lang.String` | `getTitle()` Returns the title of the query described by this response (often the same as the name, but not always)

    - ### Methods inherited from class org.labkey.remoteapi.CommandResponse

      `findObject, getContentType, getParsedData, getProperty, getProperty, getRequiredVersion, getSourceCommand, getStatusCode, getText`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### GetQueryDetailsResponse

          public GetQueryDetailsResponse(java.lang.String text,
                                         int statusCode,
                                         java.lang.String contentType,
                                         org.json.simple.JSONObject json,
                                         GetQueryDetailsCommand sourceCommand)

  - ### Method Detail

    - #### getSchemaName

          public java.lang.String getSchemaName()

      Returns the schema name the query in this response belongs to.
      Returns:
        The schema name.

    - #### getName

          public java.lang.String getName()

      Returns the query name that is described by this response
      Returns:
        The query name.

    - #### getDescription

          public java.lang.String getDescription()

      Returns the description of the query described by this response
      Returns:
        The query description.

    - #### getTitle

          public java.lang.String getTitle()

      Returns the title of the query described by this response (often the same as the name, but not always)
      Returns:
        The query title.

    - #### getColumns

          public java.util.List<GetQueryDetailsResponse.Column> getColumns()

      Returns the columns available in the given query name.
      Returns:
        The list of columns available within that query.